---
title: "Searches Inventories by parameters"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed/operations/get-inventory"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed.md

# Searches Inventories by parameters

`GET` `/inventory`

Operation ID: `get-inventory`

Searches Inventories by parameters

## Query parameters

- `sales_channel_id` (string, optional) - Sales Channel Id or Collection of Sales Channel Ids (comma separated) Example: 14,3,312
- `sku` (string, optional) - Product SKU or Collection of Product SKUs (comma separated) Example: sku1,sku2,sku3
- `outlet_id` (string, optional) - Outlet Id or Collection of Outlet Ids (comma separated) Example: 1,2,3
- `product_id` (string, optional) - Product Id or Collection of Product Ids (comma separated) Example: 1,2,3
- `modified_since` (string, date-time, optional) - Format - date-time (as date-time in RFC3339). Modified since search parameter
- `page_number` (integer, int32, optional) - Format - int32.
- `page_size` (integer, int32, optional) - Format - int32.

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Paging Response with Inventories data
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: V2
servers:
  - url: https://api.retailexpress.com.au/v2
paths:
  /inventory:
    get:
      tags:
        - inventory
      summary: Searches Inventories by parameters
      description: Searches Inventories by parameters
      operationId: get-inventory
      parameters:
        - name: sales_channel_id
          in: query
          description: "Sales Channel Id or Collection of Sales Channel Ids (comma
            separated)\r

            Example: 14,3,312"
          schema:
            type: string
            description: "Sales Channel Id or Collection of Sales Channel Ids (comma
              separated)\r

              Example: 14,3,312"
            nullable: true
        - name: sku
          in: query
          description: "Product SKU or Collection of Product SKUs (comma separated)\r

            Example: sku1,sku2,sku3"
          schema:
            type: string
            description: "Product SKU or Collection of Product SKUs (comma separated)\r

              Example: sku1,sku2,sku3"
            nullable: true
        - name: outlet_id
          in: query
          description: "Outlet Id or Collection of Outlet Ids (comma separated)\r

            Example: 1,2,3"
          schema:
            type: string
            description: "Outlet Id or Collection of Outlet Ids (comma separated)\r

              Example: 1,2,3"
            nullable: true
        - name: product_id
          in: query
          description: "Product Id or Collection of Product Ids (comma separated)\r

            Example: 1,2,3"
          schema:
            type: string
            description: "Product Id or Collection of Product Ids (comma separated)\r

              Example: 1,2,3"
            nullable: true
        - name: modified_since
          in: query
          description: Format - date-time (as date-time in RFC3339). Modified since search
            parameter
          schema:
            type: string
            description: Modified since search parameter
            format: date-time
            nullable: true
        - name: page_number
          in: query
          description: Format - int32.
          schema:
            maximum: 100000
            minimum: 1
            type: integer
            format: int32
        - name: page_size
          in: query
          description: Format - int32.
          schema:
            maximum: 2147483647
            minimum: 1
            type: integer
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Paging Response with Inventories data
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Inventory.PagingResponse"
              example:
                data:
                  - allocated: 0
                    available: 0
                    bin_location: string
                    faulty: 0
                    msl: 0
                    on_order: 0
                    outlet_id: 0
                    picked: 0
                    product_id: 0
                    received: 0
                    requested: 0
                    transit_in: 0
                    transit_out: 0
                    modified_on: string
                page_number: 0
                page_size: 0
                total_records: 0
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    Inventory.PagingResponse:
      title: ""
      type: object
      properties:
        data:
          type: array
          items:
            $ref: "#/components/schemas/Inventory"
          nullable: true
        page_number:
          type: integer
          format: int32
        page_size:
          type: integer
          format: int32
        total_records:
          type: integer
          format: int32
      additionalProperties: false
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Inventory:
      title: ""
      type: object
      properties:
        allocated:
          type: integer
          description: Qty allocated
          format: int32
        available:
          type: integer
          description: Qty available
          format: int32
        bin_location:
          type: string
          description: Bin location
          nullable: true
        faulty:
          type: integer
          description: Qty faulty
          format: int32
        msl:
          type: integer
          description: Msl
          format: int32
        on_order:
          type: integer
          description: Qty onOrder
          format: int32
        outlet_id:
          type: integer
          description: Outlet Id
          format: int32
        picked:
          type: integer
          description: Qty available
          format: int32
        product_id:
          type: integer
          description: Product Id
          format: int32
        received:
          type: integer
          description: Qty received
          format: int32
        requested:
          type: integer
          description: Qty requested
          format: int32
        transit_in:
          type: integer
          description: Qty transit in
          format: int32
        transit_out:
          type: integer
          description: Qty transit out
          format: int32
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Inventory view model
```
